Ir al contenido

database_api.list_withdraw_vesting_routes ​

Purpose ​

Devuelve una lista de rutas de retiro de vesting (withdraw route). Parámetros: start:array; limit:int; order:string

  • start depende de order (ver más abajo)
  • limit es hasta 1000.
  • order puede ser uno de:
    • by_withdraw_route - ordenar por ruta de retiro
      • start es un array de dos valores: from_account, to_account
    • by_destination - ordenar por destino
      • start es un array de dos valores: to_account, route_id

| start (array) | limit (int) | order (string) | | |----------------------------|---------------|-| | ["temp", ""] | 10 | "by_withdraw_route" | Consulta las primeras 10 rutas, ordenadas por ruta de retiro | | ["", 0] | 10 | "by_destination" | Consulta las primeras 10 rutas, ordenadas por destino |

Véase también: Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "start": null,
  "limit": 0,
  "order": "by_name"
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_withdraw_vesting_routes",
    "params": {
      "start": [
        "temp",
        ""
      ],
      "limit": 10,
      "order": "by_withdraw_route"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_withdraw_vesting_routes",
    "params": {
      "start": [
        "",
        0
      ],
      "limit": 10,
      "order": "by_destination"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "routes": [
    {
      "id": 39503,
      "from_account": "temperature",
      "to_account": "luckdiver",
      "percent": 10000,
      "auto_vest": false
    }
  ]
}